<?php
ob_start();
include("require.php");
if (!isset($_GET['id']))
  jump("error.php?id=error"); 
switch ($_GET['id'])
{
  case 1:
    $clew="提交出现错误，请检查您是否已将信息填写完整并正确，谢谢^_^";
    break;
  case 2:
    $clew="对不起，您没有权限进行本操作，谢谢^_^";
    break;
  case 3:
    $clew="对不起，目前关闭用户创建".$core_bartype."";
    break;
  case 4:
    $clew="对不起，您目前被禁止在本吧发贴";
    break;
  case 5:
    $clew="对不起，该吧处于关闭状态或仅允许管理团队访问";
    break;
  case 6:
    $clew="对不起，该吧尚未通过审核请稍后访问";
    break;
  case 7:
    $clew="对不起，您发布的内容中有系统禁止的词汇";
    break;
  case 8:
    $clew="对不起，验证码错误";
    break;
  case 9:
    $clew="对不起，您已提交过申请，请耐心等待审核";
    break;
  case 10:
    $clew="您的贴子发布成功，请耐心等待审核";
    break;
  case 11:
    $clew="本贴未被审核或已被删除";
    break;
  case 12:
    $clew="目前".$core_bartype."关闭注册";
    break;
  case 13:
    $clew="用户不存在";
    break;
  case 14:
    $clew="Ta已是您的好友";
    break;
  case 15:
    $clew="您已加入本吧";
    break;
  case 16:
    $clew="图片上传失败";
    break;
  case 17:
    $clew="对不起，主题或内容长度超过最大限制";
    break;
  case 18:
    $clew="对不起，该二级域名已被使用或被禁止使用";
    break;
  case 19:
    $clew="对不起，您已收藏过本吧";
    break;
  case 20:
    $clew="对不起，您已收藏过本主题";
    break;
  case 21:
    $clew="对不起，充值失败，请与管理员联系";
    break;
  case 22:
    $clew="对不起，您的积分余额不足。";
    break;
  default:
    $clew="出现未知错误, 请与管理员联系";
}
if (!isset($_GET['last']))
  $_GET['last']="index.php";
$_GET['last'] = str_replace("=and=","&",$_GET['last']);
$tpl -> assign("core_style", $core_style);
$tpl -> assign("clew", $clew);
$tpl -> assign("url", $_GET['last']);
$tpl -> assign("core_header_title", "系统提示 - "); 
$tpl -> display("$core_style/error.htm");
header("refresh:10;url=".$_GET['last']);
ob_end_flush();
?>
